const mutations = {
    setMode(state, payload) {
        state.mode = payload
    },
    setLoading(state, loading) {
        state.loading = loading
    },
    setAskForPrint(state, payload) {
        state.askForPrint = payload
    },
    setCompleted(state, completed) {
        state.completed = completed
    },
    setResult(state, payload) {
        state.result = payload
    },
    toggleFooterButtonsVisibility(state) {
        state.footerButtonsVisibility = !state.footerButtonsVisibility
    },
    setSettingsVisibility(state) {
        state.settingsVisibility = !state.settingsVisibility
    },
    updateSettings(state, settings) {
        state.settings = settings
    },
    setNetStatus(state, isWired) {
        state.wasWired = state.isWired
        state.isWired = isWired
    },
    storeData(state, data) {
        state.data.push(data)
    },
    resetData(state) {
        state.data = []
    }
}

export default mutations
